From 741591354a60f075b803df36556b040954e8e640 Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 11:23:22 -0700
Subject: couchdbkit-with-keyword

Patch-Name: couchdbkit-with-keyword.patch
---
 couchdbkit/consumer/ceventlet.py | 3 ++-
 couchdbkit/consumer/cgevent.py   | 2 ++
 2 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/couchdbkit/consumer/ceventlet.py b/couchdbkit/consumer/ceventlet.py
index 3459287..1a33fae 100644
--- a/couchdbkit/consumer/ceventlet.py
+++ b/couchdbkit/consumer/ceventlet.py
@@ -3,6 +3,8 @@
 # This file is part of couchdbkit released under the MIT license.
 # See the NOTICE for more information.
 
+from __future__ import with_statement
+
 import traceback
 
 import eventlet
@@ -12,7 +14,6 @@ from .base import check_callable
 from .sync import SyncConsumer
 from ..utils import json
 
-
 class ChangeConsumer(object):
     def __init__(self, db, callback, **params):
         self.process_change = callback
diff --git a/couchdbkit/consumer/cgevent.py b/couchdbkit/consumer/cgevent.py
index 019d868..b430c90 100644
--- a/couchdbkit/consumer/cgevent.py
+++ b/couchdbkit/consumer/cgevent.py
@@ -3,6 +3,8 @@
 # This file is part of couchdbkit released under the MIT license.
 # See the NOTICE for more information.
 
+from __future__ import with_statement
+
 import traceback
 
 import gevent
